# 3.10.1. Builds

The `Build` class represents a running build, with associated steps.

## 3.10.1.1. Build

class buildbot.process.build.Build
  buildid

    The ID of this build in the database.

  getSummaryStatistic(name, summary_fn, initial_value=None)
    Parameters:

      - name – statistic name to summarize

      - summary_fn – callable with two arguments that will combine two values

      - initial_value – first value to pass to `summary_fn`

    Returns:

      summarized result

    This method summarizes the named step statistic over all steps in which it exists, using `combination_fn` and `initial_value` to combine multiple results into a single result. This translates to a call to Python’s `reduce`:

        return reduce(summary_fn, step_stats_list, initial_value)

  getUrl()
    Returns:

      URL as string

    Returns url of the build in the UI. Build must be started. This is useful for custom steps.

  env

    Initialized from `BuilderConfig`’s env by deep copy. This attribute is mutable, steps can update it to change the environment of subsequent steps.